Page MenuHomePhabricator

Make URL-input page of FileImporter inaccessible for users
Closed, ResolvedPublic3 Story Points

Description

Motivation
For this first MVP, the FileImporter should only be accessible through the link provided by the FileExporter. For testing, we currently use a specialPage where the url of the file you want to copy can be added. This should not go live

Acceptance Criteria

  • The URL page of the FileImporter either does not exist, or is not available on production and mediawiki
  • Remove Special:ImportFile from list of SpecialPages
  • Remove input field from Special:ImportFile
  • Show a message to the user explaining how to properly use the extension (link to help page on meta)

Details

Related Gerrit Patches:
mediawiki/extensions/FileImporter : masterHide URL input

Event Timeline

Restricted Application added a project: TCB-Team. · View Herald TranscriptMay 31 2018, 4:19 PM
Tobi_WMDE_SW updated the task description. (Show Details)Jun 5 2018, 12:33 PM
Tobi_WMDE_SW set the point value for this task to 3.
Andrew-WMDE moved this task from Sprint Backlog to Doing on the WMDE-QWERTY-Sprint-2018-06-05 board.

Change 437721 had a related patch set uploaded (by Andrew-WMDE; owner: Andrew-WMDE):
[mediawiki/extensions/FileImporter@master] Hide URL input

https://gerrit.wikimedia.org/r/437721

Change 437721 merged by jenkins-bot:
[mediawiki/extensions/FileImporter@master] Hide URL input

https://gerrit.wikimedia.org/r/437721

Can be tested and seen on https://commons.wikimedia.beta.wmflabs.org/wiki/Special:ImportFile - afaik the text that should show was not defined anywhere. We also might want to remove the beta warning but I am not sure about that.

P.S.: On https://mwfileimport.wmflabs.org/wiki/index.php/Special:ImportFile I have the input field enabled so it's easier to test files.

thiemowmde triaged this task as Medium priority.Jun 13 2018, 4:23 PM
thiemowmde removed a project: Patch-For-Review.
Vvjjkkii renamed this task from Make URL-input page of FileImporter inaccessible for users to kwbaaaaaaa.Jul 1 2018, 1:06 AM
Vvjjkkii removed Andrew-WMDE as the assignee of this task.
Vvjjkkii raised the priority of this task from Medium to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed the point value for this task.
Vvjjkkii edited subscribers, added: Andrew-WMDE; removed: gerritbot.
CommunityTechBot renamed this task from kwbaaaaaaa to Make URL-input page of FileImporter inaccessible for users.Jul 2 2018, 7:09 AM
CommunityTechBot assigned this task to Andrew-WMDE.
CommunityTechBot lowered the priority of this task from High to Medium.
CommunityTechBot set the point value for this task to 3.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot edited subscribers, added: gerritbot; removed: Andrew-WMDE.
Lea_WMDE closed this task as Resolved.Jul 3 2018, 12:16 PM